GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Namespaces | Functions
engine_partitioning_trigger.cpp File Reference
`#include "gridfire/solver/strategies/triggers/engine_partitioning_trigger.h"`
`#include "gridfire/solver/strategies/CVODE_solver_strategy.h"`
`#include "gridfire/trigger/trigger_logical.h"`
`#include "gridfire/trigger/trigger_abstract.h"`
`#include "quill/LogMacros.h"`
`#include <memory>`
`#include <deque>`
`#include <string>`

## Namespaces
namespace | gridfire
namespace | gridfire::trigger
namespace | gridfire::trigger::solver
namespace | gridfire::trigger::solver::CVODE

## Functions
std::unique_ptr< Trigger< gridfire::solver::CVODESolverStrategy::TimestepContext > > | gridfire::trigger::solver::CVODE::makeEnginePartitioningTrigger (const double simulationTimeInterval, const double offDiagonalThreshold, const double timestepGrowthThreshold, const bool timestepGrowthRelative, const size_t timestepGrowthWindowSize)
| Compose a trigger suitable for deciding engine re-partitioning during CVODE solves.